import os from 'os';
import path from 'path';
import fs from 'fs';

export const envisionPath = path.join(os.homedir(), '.config', 'envision');
const configPath = path.join(os.homedir(), '.config', 'envision', 'config.json');

export const checkFileExists = (filePath: string) => {
  try {
    fs.accessSync(filePath, fs.constants.F_OK);
    return true;
  } catch (error) {
    return false;
  }
};
export const getConfig = () => {
  if (!checkFileExists(envisionPath)) {
    fs.mkdirSync(envisionPath, { recursive: true });
  }
  if (checkFileExists(configPath)) {
    const config = fs.readFileSync(configPath, 'utf-8');
    try {
      return JSON.parse(config);
    } catch (e) {
      return {};
    }
  }
  writeConfig({
    baseURL: 'https://kevisual.cn',
  });
  return {};
};

export const writeConfig = (config: Record<string, any>) => {
  fs.writeFileSync(configPath, JSON.stringify(config, null, 2));
  return config;
};
